<html>
<head>
    <title>Javascript Drum Kit</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <div data-key="65" class="key">
        <kbd>A</kbd>
        <span class="sound">clap</span>
    </div>
    <div data-key="83" class="key">
        <kbd>S</kbd>
        <span class="sound">clap</span>
    </div>
    <div data-key="68" class="key">
        <kbd>D</kbd>
        <span class="sound">clap</span>
    </div>
    <div data-key="70" class="key">
        <kbd>F</kbd>
        <span class="sound">clap</span>
    </div>
    <div data-key="71" class="key">
        <kbd>G</kbd>
        <span class="sound">clap</span>
    </div>
    <div data-key="72" class="key">
        <kbd>H</kbd>
        <span class="sound">clap</span>
    </div>
    <div data-key="74" class="key">
        <kbd>J</kbd>
        <span class="sound">clap</span>
    </div>
    <div data-key="75" class="key">
        <kbd>K</kbd>
        <span class="sound">clap</span>
    </div>
    <div data-key="76" class="key">
        <kbd>L</kbd>
        <span class="sound">clap</span>
    </div>


    <audio data-key="65" src="sounds/clap.wav"></audio>
    <audio data-key="83" src="sounds/clap.wav"></audio>
    <audio data-key="68" src="sounds/clap.wav"></audio>
    <audio data-key="70" src="sounds/clap.wav"></audio>
    <audio data-key="71" src="sounds/clap.wav"></audio>
    <audio data-key="72" src="sounds/clap.wav"></audio>
    <audio data-key="74" src="sounds/clap.wav"></audio>
    <audio data-key="75" src="sounds/clap.wav"></audio>
    <audio data-key="76" src="sounds/clap.wav"></audio>


<script>
    function playSound(e){
        const audio = document.querySelector(`audio[data-key="${e.keyCode}"]`);
        const key = document.querySelector(`.key[data-key="${e.keyCode}"]`);
        if(!audio) return; 
        audio.currentTime = 0; //reset timer
        audio.play();

        key.classList.add('playing');
    }

    function removeTransition(e){
        if(e.propertyName !== 'transform') return;
        this.classList.remove('playing');
    }
    const keys = document.querySelectorAll('.key');
    keys.forEach(key => key.addEventListener('transiitonend', removeTransition));

    window.addEventListener('keydown', playSound);
</script>


</body>
</html>